//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TComboBox *ComboBox1;
        TComboBox *ComboBox2;
        TButton *Button1;
        TButton *Button2;
        TCheckBox *CheckBox1;
        TScrollBar *ScrollBar1;
        TEdit *Edit1;
        TEdit *Edit2;
        TPanel *Panel1;
        TLabel *Label1;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TLabel *Label6;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TLabel *Label10;
        TScrollBar *ScrollBar2;
        TLabel *Label11;
        TLabel *Label12;
        TButton *Button3;
        TCheckBox *CheckBox2;
        TComboBox *ComboBox3;
        TLabel *Label2;
        TButton *Button4;
        TLabel *Label14;
        TScrollBar *ScrollBar3;
        TLabel *Label15;
        TScrollBar *ScrollBar4;
        TLabel *Label17;
        TLabel *Label18;
        TLabel *Label19;
        TLabel *Label20;
        TLabel *Label21;
        TLabel *Label16;
        TLabel *Label13;
        TLabel *Label22;
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall CheckBox1Click(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall ScrollBar2Change(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button4Click(TObject *Sender);
        void __fastcall ScrollBar4Change(TObject *Sender);
private:	// User declarations
public:
        friend bool main_function(HWND vwin, LPVIDEOHDR in_data);
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
